<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_nicepage
 */

defined('_JEXEC') or die;

require_once JPATH_ADMINISTRATOR . '/components/com_nicepage/helpers/mappers.php';

/**
 * Class NicepageViewsDisplayHtml
 */
class NicepageViewsDisplayHtml extends JViewHtml
{
    /**
     * Render display html page
     *
     * @return string|void
     */
    function render()
    {
        $app = JFactory::getApplication();
        $domain = NicepageHelpersNicepage::getDomain();
        $startFromDashboard = $app->input->getVar('dashboard', '');
        $autoStart = $app->input->getVar('autostart', '');
        $postId = $app->input->getVar('postid', '');

        if ($autoStart) {
            $session = JFactory::getSession();
            $registry = $session->get('registry');
            $registry->set('com_content.edit.article.id', $postId);
            $url = 'index.php?option=com_content&view=article&layout=edit&autostart=1&id=' . $postId . ($domain ? '&domain=' . $domain : '');
            $app->redirect($url);
        }

        if ($startFromDashboard) {
            // delete draft pages
            $db = JFactory::getDBO();
            $query = $db->getQuery(true);
            $query->select('*');
            $query->from('#__content');
            $query->where('state = 2');
            $query->where('title like \'%Page%\'');
            $db->setQuery($query);
            $list = $db->loadObjectList();
            if (count($list) > 0) {
                $contentMapper = Nicepage_Data_Mappers::get('content');
                foreach ($list as $item) {
                    $contentMapper->delete($item->id);
                }
            }
            // create draft page
            $actionsObject = new NicepageModelsActions();
            $article = $actionsObject->createPost(array('state' => 2 /*to draft*/));
            if ($article) {
                // remove nice pages with article id, before adding a new nice page
                $db = JFactory::getDBO();
                $db->setQuery('delete from #__nicepage_sections WHERE ' . $db->quoteName('page_id') . '=' . $db->quote($article->id));
                $db->execute();

                $session = JFactory::getSession();
                $registry = $session->get('registry');
                $registry->set('com_content.edit.article.id', $article->id);
                $url = 'index.php?option=com_content&view=article&layout=edit&id=' . $article->id .'&start=1';
                if ($domain) {
                    $url .= '&domain=' . $domain;
                }
                $app->redirect($url);
            }
            // new post don't create, go to admin dashboard
            $app->redirect('index.php');
        }

        $layoutName = $app->input->getWord('layout', 'default');
        if ($layoutName == 'default' && $postId) {
            // start nicepage from edit article page
            $sectionsObject = NicepageModelsSections::getSectionsObject($postId);
            if ($sectionsObject) {
                NicepageModelsSections::clearPreview($sectionsObject);
                $parts = '/#/builder/1/page/' . $postId;
            } else {
                $parts = '/#/landing';
            }
            $app->redirect('index.php?option=com_nicepage&view=display' . ($domain ? '&domain=' . $domain : '') . $parts);
            return;
        }

        // start nicepage
        $editorSettings = NicepageHelpersNicepage::getEditorSettings();
        $this->startFiles = NicepageHelpersNicepage::getStartFiles();
        $this->manifestAttr = !$domain ? ' manifest="' . $this->startFiles['manifest'] . '"' : '';

        //display
        return parent::render();
    }

}