<?php

defined('_JEXEC') or die;


$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$props = $app->get('props');
$editLinkHtml = $app->get('editLinkHtml');
$bodyClass = isset($props['bodyClass']) ? $props['bodyClass'] : '';
$bodyStyle = isset($props['bodyStyle']) ? $props['bodyStyle'] : '';
$head = isset($props['head']) ? $props['head'] : '';
$fonts = isset($props['fonts']) ? $props['fonts'] : '';
$publishHtml = isset($props['publishHtml']) ? $props['publishHtml'] : '';
$publishHtml = NicepageModelsSections::processSectionsHtml($publishHtml);
$backlink = isset($props['backlink']) ? $props['backlink'] : '';
$pageCssUsedIds = isset($props['pageCssUsedIds']) ? $props['pageCssUsedIds'] : '';
$pageId = isset($props['pageId']) ? $props['pageId'] : '';

if (isset($props['titleInBrowser']) && $props['titleInBrowser'] != '') {
    $doc->setTitle($props['titleInBrowser']);
}

if (isset($props['description']) && $props['description'] != '') {
    $doc->setDescription($props['description']);
}

if (isset($props['keywords']) && $props['keywords'] != '') {
    $doc->setMetadata('keywords', $props['keywords']);
}

if (isset($props['metaTags']) && $props['metaTags'] != '') {
    $doc->addCustomTag($props['metaTags']);
}

if (isset($props['customHeadHtml']) && $props['customHeadHtml'] != '') {
    $doc->addCustomTag($props['customHeadHtml']);
}

JHtml::_('bootstrap.framework');

require_once  dirname(JPATH_PLUGINS) . '/administrator/components/com_nicepage/helpers/nicepage.php';
$params = NicepageHelpersNicepage::getConfig();
$css = NicepageHelpersNicepage::buildSiteStyleCss($params, $pageCssUsedIds, $publishHtml, $pageId);
$assets =  $doc->baseurl . '/administrator/components/com_nicepage/assets';
?>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" media="all" href="<?php echo $assets; ?>/css/nicepage.css" id="nicepage-style-css">
    <link rel="stylesheet" type="text/css" media="all" href="<?php echo $assets; ?>/css/media.css" id="theme-media-css">
    <jdoc:include type="head" />
    <?php if (isset($params['jquery']) && $params['jquery'] == '1') : ?>
        <script type="text/javascript" src="<?php echo $assets; ?>/js/jquery.js"></script>
    <?php endif; ?>
    <script type="text/javascript" src="<?php echo $assets; ?>/js/nicepage.js"></script>
    <?php echo $fonts; ?>
    <style>
        <?php echo $css; ?>
        <?php echo $head; ?>
    </style>
</head>
<body class="<?php echo $bodyClass; ?>" style="<?php echo $bodyStyle; ?>">
<?php echo $publishHtml; ?>
<?php echo $backlink; ?>
<?php echo $editLinkHtml; ?>
</body>
</html>