<?php

class NicepageStatements {

    public static function containsModules()
    {
        $doc = JFactory::getDocument();
        foreach (func_get_args() as $position)
            if (0 != $doc->countModules($position))
                return true;
        return false;
    }

    public static function position($position, $style = null, $id = '', $variation = '')
    {
        // Change menu position name to default, if menu with custom position name not exists
        if (strpos($position, 'hmenu-') !== false && !self::containsModules($position)) {
            $position = 'hmenu';
        }
        
        if (!self::containsModules($position)) {
            return '';
        }

        $attributes = array(
            'type'      => 'modules',
            'name'      => $position,
            'style'     => 'upstyle',
            'variation' => $variation,
            'upstyle'   => (null != $style ?  $style : ''),
            'title'     => 'name-' . $id,
            'id'        => $id
        );
        $str = '';
        foreach ($attributes as $key => $value) {
            $str .= $key . '="' . $value . '" ';
        }
        return '<jdoc:include ' . $str . '/>';
    }

    public static function head()
    {
        return '<jdoc:include type="head" />';
    }

    public static function message()
    {
        return '<jdoc:include type="message" />';
    }

    public  static function component()
    {
        return '<jdoc:include type="component" />';
    }
}